Subject: bug#4358: 23.1.50; Arithmetic overflow errors break imap

From: Stefan Monnier <[email-masked]>
Date: Tue, 08 Sep 2009 16:31:34 -0400

> The overflow messages do not get written to the *Messages* buffer,
> so I cannot quote one exactly.

Just the message wouldn't be enough anyway.  Try setting debug-on-error
to t, and if that doesn't cut it, try setting debug-on-signal to t.
This latter one sadly makes Emacs sometimes inconvenient to use, so if
the error is non-deterministic and only happens occasionally, it may be
painful.  But without a backtrace or some way to reproduce the problem,
it'll be difficult to track it down.  You may also want to try to set
imap-log and/or imap-debug to get more data.

        Stefan